﻿@model IEnumerable<GarageMaster.Models.AdsSection.AdCategoryModels.AdCategoryModel>

@{
    ViewData["Title"] = "Index";
}

<h1>Index</h1>

<p>
    <a asp-area="Admin" asp-controller="AdCategory" asp-action="CreateAdCategory">Create New Ad Category</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.AdCategoryName)
            </th>
            <th></th>
            <th></th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.AdCategoryName)
            </td>
            <td>
                <a asp-area="Admin" asp-controller="AdCategory" asp-action="EditAdCategory" asp-route-id="@item.Id" class="btn btn-primary">Edit</a>
            </td>
            <td>
                <a asp-area="Admin" asp-controller="AdCategory" asp-action="DeleteAdCategory" asp-route-id="@item.Id" class="btn btn-danger">Delete</a>
            </td>
        </tr>
}
    </tbody>
</table>
